Skip to main content
`Ctrl`+`K`

# PetscHSetObjGetElems

Get all entries from a hash set

## Synopsis

    #include <petsc/private/hashsetobj.h>
    PetscErrorCode PetscHSetObjGetElems(PetscHSetObj ht, PetscInt *off, PetscInt64 array[])

## Input Parameters

- ht - The hash set

- off - Input offset in array (usually zero)

- array - Array to put hash set entries in

## Output Parameters

- off - Output offset in array (output offset = input offset + hash set size)

- array - Array filled with the hash set entries

## See Also

`PetscHSetObjGetSize()`

## Level

developer

## Location

include/petsc/private/hashset.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages